Package org.picocontainer.behaviors

# Class Storing.StoreThreadLocal

java.lang.Object
java.lang.ThreadLocal<Map>
org.picocontainer.behaviors.Storing.StoreThreadLocal

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Storing`

public static class Storing.StoreThreadLocal extends ThreadLocal<Map> implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StoreThreadLocal()`

## Method Summary

Modifier and Type
Method
Description
`protected Map`
`initialValue()`

### Methods inherited from class java.lang.ThreadLocal

`get, remove, set, withInitial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StoreThreadLocal

public StoreThreadLocal()

## Method Details

### initialValue

protected Map initialValue()

Overrides:
  `initialValue` in class `ThreadLocal<Map>`